{
	"easycom": {
		// 下载安装方式
		"^u-(.*)": "@/uview-ui/components/u-$1/u-$1.vue"
	},
	"pages": [{
			"path": "pages/auth/passwordLogin",
			"style": {
				"navigationBarTitleText": "密码登录",
				"navigationBarBackgroundColor": "#1890ff"
			}
		},
		{
			"path": "pages/auth/login",
			"style": {
				"navigationBarTitleText": "登录",
				"navigationBarBackgroundColor": "#1890ff"
			}
		},
		{
			"path": "pages/tabBar/new",
			"style": {
				"navigationBarTitleText": "消息"
				// "navigationStyle": "custom"
			}
		},
		{
			"path": "pages/tabBar/order",
			"style": {
				"navigationBarTitleText": "订单"
				// "navigationStyle": "custom"
			}
		},
		{
			"path": "pages/tabBar/home",
			"style": {
				"navigationBarTitleText": "首页"
				// "navigationStyle": "custom"
			}
		}, {
			"path": "pages/tabBar/project",
			"style": {
				"navigationBarTitleText": "项目"
			}
		}, {
			"path": "pages/tabBar/alarm",
			"style": {
				"navigationBarTitleText": "实时报警"
			}
		}, {
			"path": "pages/tabBar/my",
			"style": {
				"navigationBarTitleText": "我的"
				// "navigationStyle": "custom",
			}
		}

	],
	"subPackages": [
		// {
		// 	"root": "pages/auth/",
		// 	"pages": [
		// 	// 	{
		// 	// 	"path": "login",
		// 	// 	"style": {
		// 	// 		"navigationBarTitleText": "登入"
		// 	// 	}
		// 	// }, 
		// 	{
		// 		"path": "registerGuide",
		// 		"style": {
		// 			"navigationBarTitleText": "选择用户"
		// 		}
		// 	}, {
		// 		"path": "userRegister",
		// 		"style": {
		// 			"navigationBarTitleText": "用户注册"
		// 		}
		// 	}, {
		// 		"path": "companyRegister",
		// 		"style": {
		// 			"navigationBarTitleText": "企业注册"
		// 		}
		// 	}, {
		// 		"path": "forgotPassword",
		// 		"style": {
		// 			"navigationBarTitleText": "忘记密码"
		// 		}
		// 	}, {
		// 		"path": "registerLoading",
		// 		"style": {
		// 			"navigationBarTitleText": "用户注册"
		// 		}
		// 	}]
		// },
		{
			"root": "pages/home/more/",
			"pages": [{
				"path": "moreNavBar",
				"style": {
					"navigationBarTitleText": "全部应用"
					// "navigationStyle": "custom"
				}
			}]
		},
		{
			"root": "pages/battery/",
			"pages": [{
				"path": "battery-info",
				"style": {
					"navigationBarTitleText": "电池详情"
					// "navigationStyle": "custom"
				}
			}]
		},
		{
			"root": "pages/tabBar/my/",
			"pages": [{
				"path": "setup",
				"style": {
					"navigationBarTitleText": "设置"
					// "navigationStyle": "custom"
				}
			}, {
				"path": "maintenanceRecord",
				"style": {
					"navigationBarTitleText": "维保记录",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "help",
				"style": {
					"navigationBarTitleText": "帮助"
				}
			}, {
				"path": "about",
				"style": {
					"navigationBarTitleText": "关于"
				}
			}, {
				"path": "newAlarmRemind",
				"style": {
					"navigationBarTitleText": "新警报提醒"
				}
			}, {
				"path": "projectServe",
				"style": {
					"navigationBarTitleText": "工程服务",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "addMaintenancePeople",
				"style": {
					"navigationBarTitleText": "添加维保人员"
				}
			}, {
				"path": "onlineServe",
				"style": {
					"navigationBarTitleText": "联系我们",
					"navigationBarBackgroundColor": "#0066cc"
				}
			}, {
				"path": "aboutUs",
				"style": {
					"navigationBarTitleText": "关注我们"
				}
			}, {
				"path": "privacyPolicy",
				"style": {
					"navigationBarTitleText": "隐私政策"
				}
			}, {
				"path": "userPolicy",
				"style": {
					"navigationBarTitleText": "用户协议"
				}
			}]
		}, {
			"root": "pages/home/smoke/",
			"pages": [{
				"path": "index",
				"style": {
					"navigationBarTitleText": "烟雾"
					// "navigationStyle": "custom"
				}
			}]
		}, {
			"root": "pages/home/temperature/",
			"pages": [{
				"path": "index",
				"style": {
					"navigationBarTitleText": "温湿度",
					"navigationBarBackgroundColor": "#1c9aff"
					// "navigationStyle": "custom"
				}
			}, {
				"path": "device",
				"style": {
					"navigationBarTitleText": "设备",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "deviceDetail",
				"style": {
					"navigationBarTitleText": "设备详情"
				}
			}, {
				"path": "alarmCenter",
				"style": {
					"navigationBarTitleText": "告警中心",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "placeManage",
				"style": {
					"navigationBarTitleText": "场所管理",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "placeDetail",
				"style": {
					"navigationBarTitleText": "场所详情"
				}
			}]
		}, {
			"root": "pages/home/waterLevel/",
			"pages": [{
				"path": "index",
				"style": {
					"navigationBarTitleText": "水位水压",
					"navigationBarBackgroundColor": "#1c9aff"
				}
			}, {
				"path": "realTime",
				"style": {
					"navigationBarTitleText": "实时数据",
					"navigationBarBackgroundColor": "#1c9aff"
				}
			}, {
				"path": "device",
				"style": {
					"navigationBarTitleText": "设备",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "deviceDetail",
				"style": {
					"navigationBarTitleText": "设备详情"
				}
			}, {
				"path": "alarmCenter",
				"style": {
					"navigationBarTitleText": "告警中心",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "placeManage",
				"style": {
					"navigationBarTitleText": "场所管理",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "placeDetail",
				"style": {
					"navigationBarTitleText": "场所详情"
				}
			}]
		},
		{
			"root": "pages/home/wisdomElectricity/",
			"pages": [{
				"path": "index",
				"style": {
					"navigationBarTitleText": "全部",
					"navigationBarBackgroundColor": "#ffffff"
				}
			}, {
				"path": "lineRoadList",
				"style": {
					"navigationBarTitleText": "线路列表"
				}
			}, {
				"path": "timerSetting/index",
				"style": {
					"navigationBarTitleText": "定时设置"
				}
			}, {
				"path": "timerSetting/edit",
				"style": {
					"navigationBarTitleText": "编辑定时"
				}
			}, {
				"path": "electricityDetail",
				"style": {
					"navigationBarTitleText": "设备详情"
				}
			}, {
				"path": "switchWarn",
				"style": {
					"navigationBarTitleText": "分合闸警示",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "alarmRecord",
				"style": {
					"navigationBarTitleText": "报警记录",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "energyAnalysis/index",
				"style": {
					"navigationBarTitleText": "用能分析",
					"navigationBarBackgroundColor": "#1c9aff"
				}
			}, {
				"path": "energyAnalysis/monthDetail",
				"style": {
					"navigationBarTitleText": "月度分析"
				}
			}, {
				"path": "wbjl/maintenanceRecord",
				"style": {
					"navigationBarTitleText": "维保信息列表",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "wbjl/maintenanceDetail",
				"style": {
					"navigationBarTitleText": "维保信息"
				}
			}, {
				"path": "wbjl/addRecord",
				"style": {
					"navigationBarTitleText": " 添加维保信息"
				}
			}, {
				"path": "realTime/index",
				"style": {
					"navigationBarTitleText": "实时状态"
				}
			}, {
				"path": "realTime/parameterSetup",
				"style": {
					"navigationBarTitleText": "设备参数调整"
				}
			}, {
				"path": "realTime/alarmConfig",
				"style": {
					"navigationBarTitleText": "告警配置"
				}
			}, {
				"path": "historyCurve/index",
				"style": {
					"navigationBarTitleText": "历史状态",
					"navigationBarBackgroundColor": "#fff"
				}
			}]
		},
		{
			"root": "pages/home/electricalFire/",
			"pages": [{
				"path": "index",
				"style": {
					"navigationBarTitleText": "电气火灾"
				}
			}, {
				"path": "device",
				"style": {
					"navigationBarTitleText": "设备"
				}
			}, {
				"path": "smokeDetail",
				"style": {
					"navigationBarTitleText": "烟感设备详情"
				}
			}, {
				"path": "cameraDetail",
				"style": {
					"navigationBarTitleText": "摄像头设备详情"
				}
			}, {
				"path": "runingRecord",
				"style": {
					"navigationBarTitleText": "运行记录"
				}
			}, {
				"path": "alarmCenter",
				"style": {
					"navigationBarTitleText": "告警中心"
				}
			}, {
				"path": "alarmDetail",
				"style": {
					"navigationBarTitleText": "记录详情"
				}
			}, {
				"path": "placeManage",
				"style": {
					"navigationBarTitleText": "场所管理"
				}
			}, {
				"path": "placeDetail",
				"style": {
					"navigationBarTitleText": "场所详情"
				}
			}]
		},
		{
			"root": "pages/home/warnAnalysis/",
			"pages": [{
				"path": "index",
				"style": {
					"navigationBarTitleText": "警告分析"
				}
			}]
		},
		{
			"root": "pages/project/",
			"pages": [{
				"path": "index",
				"style": {
					"navigationBarTitleText": "项目详情"
				}
			}, {
				"path": "projectUser",
				"style": {
					"navigationBarTitleText": "项目成员列表",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "deviceGroup/index",
				"style": {
					"navigationBarTitleText": "设备分组",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "deviceGroup/deviceList",
				"style": {
					"navigationBarTitleText": "分组设备列表",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "space/index",
				"style": {
					"navigationBarTitleText": "空间管理",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "space/deviceList",
				"style": {
					"navigationBarTitleText": "空间设备管理",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "space/addDeviceList",
				"style": {
					"navigationBarTitleText": "空间设备添加",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "equipmentStatus/status",
				"style": {
					"navigationBarTitleText": "设备列表",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "projectMap",
				"style": {
					"navigationBarTitleText": "项目分布"
				}
			}, {
				"path": "electricalSafeMange/index",
				"style": {
					"navigationBarTitleText": "电气安全监管"
				}
			}, {
				"path": "electricalSafeMange/allAlarm",
				"style": {
					"navigationBarTitleText": "全部报警",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "electricalSafeMange/temperature",
				"style": {
					"navigationBarTitleText": "温度",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "electricalSafeMange/temperatureAlarm",
				"style": {
					"navigationBarTitleText": "温度报警"
				}
			}, {
				"path": "electricalSafeMange/leakageCurrent",
				"style": {
					"navigationBarTitleText": "漏电流",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "electricalSafeMange/temperature-detail",
				"style": {
					"navigationBarTitleText": "温度历史趋势"
				}
			}, {
				"path": "electricalSafeMange/leakage-detail",
				"style": {
					"navigationBarTitleText": "电流历史趋势"
				}
			}, {
				"path": "electricalSafeMange/overload",
				"style": {
					"navigationBarTitleText": "过流过载"
				}
			}, {
				"path": "electricalSafeMange/leakageAlarm",
				"style": {
					"navigationBarTitleText": "漏电报警"
				}
			}, {
				"path": "electricalSafeMange/leakageSelfChecking",
				"style": {
					"navigationBarTitleText": "漏电自检"
				}
			}, {
				"path": "electricalSafeMange/otherAlarm",
				"style": {
					"navigationBarTitleText": "",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "smartEnergy/index",
				"style": {
					"navigationBarTitleText": "智慧能源管理"
				}
			}, {
				"path": "smartEnergy/electricity",
				"style": {
					"navigationBarTitleText": "电量",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "smartEnergy/electricity-detail",
				"style": {
					"navigationBarTitleText": "电量明细"
				}
			}, {
				"path": "smartEnergy/load",
				"style": {
					"navigationBarTitleText": "负载",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "smartEnergy/control",
				"style": {
					"navigationBarTitleText": "控制管理"
				}
			}, {
				"path": "smartEnergy/iotBreaker",
				"style": {
					"navigationBarTitleText": "物联网断路器",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "smartEnergy/lineRoadNaming",
				"style": {
					"navigationBarTitleText": "线路取名和功率限定"
				}
			}]
		},
		{
			"root": "pages/user/",
			"pages": [{
				"path": "renew",
				"style": {
					"navigationBarTitleText": "续费充值"
				}
			}, {
				"path": "equipmentManage",
				"style": {
					// "navigationBarTitleText":"设备管理",
					"navigationStyle": "custom"
				}
			}, {
				"path": "equipmentSetting",
				"style": {
					"navigationBarTitleText": "设置"
					// "navigationStyle": "custom"
				}
			}, {
				"path": "instructRecord",
				"style": {
					"navigationBarTitleText": "记录"
				}
			}]
		},
		{
			"root": "pages/my/",
			"pages": [{
				"path": "helpCenter",
				"style": {
					"navigationBarTitleText": "帮助中心",
					"navigationBarBackgroundColor": "#fff"
				}
			}, {
				"path": "passwordModify",
				"style": {
					"navigationBarTitleText": "修改密码"
				}
			}]
		},
		{
			"root": "pages/new/",
			"pages": [{
				"path": "detail",
				"style": {
					"navigationBarTitleText": "消息详情",
					"navigationBarBackgroundColor": "#fff"
				}
			}]
		},
		{
			"root": "pages/order/",
			"pages": [{
				"path": "detail",
				"style": {
					"navigationBarTitleText": "订单详情",
					"navigationBarBackgroundColor": "#fff"
				}
			}]
		},
		{
			"root": "pages/fun/",
			"pages": [{
				"path": "materialEdit",
				"style": {
					"navigationBarTitleText": "素材上传",
					"navigationBarBackgroundColor": "#fff"
				}
			}]
		}
	],
	"tabBar": {
		"color": "#999",
		"selectedColor": "#0066cc",
		"backgroundColor": "#FFFFFF",
		"list": [{
			"pagePath": "pages/tabBar/new",
			"text": "消息",
			"iconPath": "static/images/toolbar/new.png",
			"selectedIconPath": "static/images/toolbar/new-active.png"
		}, {
			"pagePath": "pages/tabBar/order",
			"text": "订单",
			"iconPath": "static/images/toolbar/order.png",
			"selectedIconPath": "static/images/toolbar/order-active.png"
		}, {
			"pagePath": "pages/tabBar/my",
			"text": "我的",
			"iconPath": "static/images/toolbar/my.png",
			"selectedIconPath": "static/images/toolbar/my-active.png"
		}]
	},
	"globalStyle": {
		"navigationBarTextStyle": "black",
		"navigationBarTitleText": "uni-app",
		"navigationBarBackgroundColor": "#f5f5f5",
		// "navigationBarBackgroundColor": "#11BF96",
		"backgroundColor": "#F0F0F0"
	},
	"condition": { //模式配置，仅开发期间生效
		"current": 0, //当前激活的模式(list 的索引项)
		"list": [{
				"path": "pages/auth/passwordLogin",
				"name": "默认页面" //模式名称
			},
			{
				"path": "pages/tabBar/order",
				"name": "订单" //模式名称
			},
			{
				"path": "pages/my/helpCenter",
				"name": "帮助中心" //模式名称
			},
			{
				"path": "pages/auth/passwordLogin",
				"name": "密码登录", //模式名称
				"query": "mode=1&user=17859911022&pwd=888888"
			},
			{
				"path": "pages/home/wisdomElectricity/realTime/parameterSetup",
				"name": "设备参数调整", //模式名称
				"query": "deviceId=ed41e7462f5041aa98780ce3062765d0&deviceKey=1267240812100022"
			},
			{
				"path": "pages/project/space/index",
				"name": "标签管理", //模式名称
				// "query": "projectId=62&projectRole=root&typeName=设备组"
				"query": "projectId=62&projectRole=root&typeName=空间"
			},
			{
				"path": "pages/project/space/deviceList",
				"name": "空间设备管理", //模式名称
				"query": "labelCode=16&projectId=63&projectRole=root&tagType=57135cfcdfa74d39b05aa04237893121&isDefault=Y"
			},
			{
				"path": "pages/project/deviceGroup/index",
				"name": "设备分组", //模式名称
				"query": "projectId=62"
			},
			{
				"path": "pages/project/space/addDeviceList",
				"name": "空间设备添加", //模式名称
				"query": "labelCode=16"
			},
			{
				"path": "pages/home/wisdomElectricity/realTime/alarmConfig",
				"name": "告警配置", //模式名称
				"query": "deviceKey=1267240812100027"
			},
			{
				"path": "pages/tabBar/scan",
				"name": "扫码" //模式名称
			}, {
				"path": "pages/tabBar/home",
				"name": "首页" //模式名称
			},
			{
				"path": "pages/tabBar/project",
				"name": "项目" //模式名称
			},
			{
				"path": "pages/project/index",
				"name": "项目详情", //模式名称
				"query": "projectId=62&projectCode=bd80a3c80c394dae8a2d8138713f2bcf"
			},
			{
				"path": "pages/tabBar/my",
				"name": "我的" //模式名称
			},
			{
				"path": "pages/tabBar/my/onlineServe",
				"name": "联系我们" //模式名称
			},
			{
				"path": "pages/project/equipmentStatus/status",
				"name": "设备列表", //模式名称
				"query": "projectId=62&adminFlag=true&projectRole=root"
			},
			{
				"path": "pages/project/projectUser",
				"name": "用户列表", //模式名称
				"query": "projectId=56"
			},
			{
				"path": "pages/tabBar/alarm",
				"name": "报警" //模式名称
			},
			{
				"path": "pages/home/wisdomElectricity/timerSetting/index",
				"name": "定时设置" //模式名称
			},
			{
				"path": "pages/home/wisdomElectricity/index",
				"name": "智慧用电" //模式名称
			},
			{
				"path": "pages/home/warnAnalysis/index",
				"name": "警告分析"
			},
			{
				"path": "pages/home/wisdomElectricity/electricityDetail",
				"name": "设备详情",
				"query": "deviceId=d137ad68c6204a3c9d58fc032aea4805"
			},
			{
				"path": "pages/home/wisdomElectricity/energyAnalysis/index",
				"name": "用能分析",
				"query": "deviceId=26162221dc3340c59099c77cff0a170b&prodKey=B7L-NET-G1(4G+485+LAN)&deviceKey=12502012410109101875&projectName=18046102872的项目&deviceName=内部总闸（勿操作）"
			},
			{
				"path": "pages/project/electricalSafeMange/index",
				"name": "电气",
				"query": "projectId=16"
			},
			{
				"path": "pages/home/wisdomElectricity/realTime/index",
				"name": "设备实时状态",
				"query": "deviceId=1ca512016cc749a7a12fe0116c9429bb&prodKey=B7L-NET-G1(4G+485+LAN)&deviceKey=12502012410109105377&projectName=成套柜样品&deviceName=配电柜演示箱0001"
			},
			{
				"path": "pages/home/wisdomElectricity/energyAnalysis/monthDetail",
				"name": "用能分析月份详情",
				"query": "deviceId=e36f0cb0bc5f442e939747d1f070d2a0&month=2022-07"
			}
		]
	}
}